local n=require"luci.model.tasks"
local i=require"luci.docker"
local o=require"luci.model.plex"
local a,t,e
a=n.docker_map("plex","plex","/usr/libexec/istorec/plex.sh",
translate("Plex"),
translate("Plex is an streaming media service and a client–server media player platform, made by Plex, Inc.")
..translate("Official website:")..' <a href=\"https://www.plex.tv/\" target=\"_blank\">https://www.plex.tv/</a>')
local i=i.new({socket_path="/var/run/docker.sock"})
local n=i:_ping().code==200
local i=n and i:info().body or{}
local n=0
if i.DockerRootDir then
local e=nixio.fs.statvfs(i.DockerRootDir)
n=e and(e.bavail*e.bsize)or 0
end
t=a:section(SimpleSection,translate("Service Status"),translate("Plex status:"))
t:append(Template("plex/status"))
t=a:section(TypedSection,"main",translate("Setup"),
(n<2147483648 and
(translate("The free space of Docker is less than 2GB, which may cause the installation to fail.")
.."<br>")or"")..translate("The following parameters will only take effect during installation or upgrade:"))
t.addremove=false
t.anonymous=true
e=t:option(Flag,"hostnet",translate("Host network"),translate("Plex running in host network, for DLNA application. Port is always 32400 if enabled"))
e.default=0
e.rmempty=false
e=t:option(Value,"claim_token",translate("Plex Claim Token"),translatef("Obtain token from %s","<a href=\"https://plex.tv/claim\" target=\"_blank\">Plex</a>"))
e.datatype="string"
e=t:option(Value,"port",translate("Port").."<b>*</b>")
e.default="32400"
e.datatype="port"
e:depends("hostnet",0)
e=t:option(Value,"image_name",translate("Image").."<b>*</b>")
e.rmempty=false
e.datatype="string"
e.default="linuxserver/plex:latest"
if"x86_64"==i.Architecture then
e:value("plexinc/pms-docker:latest","plexinc/pms-docker:latest [x86_64]")
e:value("plexinc/pms-docker:1.29.2.6364-6d72b0cf6","plexinc/pms-docker:1.29.2.6364-6d72b0cf6 [x86_64]")
end
e:value("linuxserver/plex:latest","linuxserver/plex:latest")
e:value("linuxserver/plex:1.29.2","linuxserver/plex:1.29.2")
local n=o.blocks()
local i=o.home()
e=t:option(Value,"config_path",translate("Config path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
local h,s=o.find_paths(n,i,"Configs")
for a,t in pairs(h)do
e:value(t,t)
end
e.default=s
e=t:option(Value,"media_path",translate("Media path"),translatef("Not required, all disk will be mounted under %s","<a href='/cgi-bin/luci/admin/services/linkease/file/?path=/root/mnt' target='_blank'>/mnt</a>"))
e.datatype="string"
e=t:option(Value,"cache_path",translate("Transcode cache path").."<b>*</b>",translate("Please make sure there has enough space"))
e.rmempty=false
e.datatype="string"
local t,o=o.find_paths(n,i,"Caches")
for a,t in pairs(t)do
e:value(t,t)
end
e.default=o
return a
